package com.bonus.canteen.core.autth.role.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@TableName("mgr_role")
@ApiModel("系统角色表")
@Data
public class MgrRole extends Model<MgrRole> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("角色id")
   private Long roleId;
   @ApiModelProperty("角色名称")
   private String roleName;
   @ApiModelProperty("角色标识")
   private String roleCode;
   @ApiModelProperty("描述")
   private String roleDesc;
   @ApiModelProperty("类型")
   private Integer dsType;
   @ApiModelProperty("ds_scope")
   private String dsScope;
   @ApiModelProperty("食堂类范围id")
   private Long canteenEffId;
   @ApiModelProperty("人员类范围id")
   private Long custEffId;
   @ApiModelProperty("菜品类范围id")
   private Long dishesEffId;
   @ApiModelProperty("仓库类范围Id")
   private Long warehouseEffId;
   @ApiModelProperty("标识")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("角色类型")
   private Integer roleType;
   @ApiModelProperty("归属区域")
   private Long areaId;

   public Long getId() {
      return this.id;
   }

   public Long getRoleId() {
      return this.roleId;
   }

   public String getRoleName() {
      return this.roleName;
   }

   public String getRoleCode() {
      return this.roleCode;
   }

   public String getRoleDesc() {
      return this.roleDesc;
   }

   public Integer getDsType() {
      return this.dsType;
   }

   public String getDsScope() {
      return this.dsScope;
   }

   public Long getCanteenEffId() {
      return this.canteenEffId;
   }

   public Long getCustEffId() {
      return this.custEffId;
   }

   public Long getDishesEffId() {
      return this.dishesEffId;
   }

   public Long getWarehouseEffId() {
      return this.warehouseEffId;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getRoleType() {
      return this.roleType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setRoleId(final Long roleId) {
      this.roleId = roleId;
   }

   public void setRoleName(final String roleName) {
      this.roleName = roleName;
   }

   public void setRoleCode(final String roleCode) {
      this.roleCode = roleCode;
   }

   public void setRoleDesc(final String roleDesc) {
      this.roleDesc = roleDesc;
   }

   public void setDsType(final Integer dsType) {
      this.dsType = dsType;
   }

   public void setDsScope(final String dsScope) {
      this.dsScope = dsScope;
   }

   public void setCanteenEffId(final Long canteenEffId) {
      this.canteenEffId = canteenEffId;
   }

   public void setCustEffId(final Long custEffId) {
      this.custEffId = custEffId;
   }

   public void setDishesEffId(final Long dishesEffId) {
      this.dishesEffId = dishesEffId;
   }

   public void setWarehouseEffId(final Long warehouseEffId) {
      this.warehouseEffId = warehouseEffId;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setRoleType(final Integer roleType) {
      this.roleType = roleType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }




}
